TakenAt: 2024-04-07T15:37:59Z
TakenAtLocal: 2024-04-07T15:37:59Z
UID: pt687c224845mspb
Type: image
Title: iPhone Mk
TimeZone: Local
Year: -1
Month: -1
Day: -1
Quality: 1
Faces: 3
Details:
  Keywords: brown, people
CreatedAt: 2025-11-24T10:19:14Z
UpdatedAt: 2025-11-24T10:19:14Z
